CHFN(1)

NAME
chfn - change real user name and information

SYNOPSIS

chfn [options] [LOGIN]

DESCRIPTION

The chfn command changes user fullname, office room number, office phone number, and home phone number information for a user's account. This information is typically printed by finger(1) and similar programs. A normal user may only change the fields for her own account, subject to the restrictions in /etc/login.defs. (The default configuration is to prevent users from changing their fullname.) The superuser may change any field for any account. Additionally, only the superuser may use the -o option to change the undefined portions of the GECOS field.

These fields must not contain any colons. Except for the other field, they should not contain any comma or equal sign. It is also recommended to avoid non-US-ASCII characters, but this is only enforced for the phone numbers. The other field is used to store accounting information used by other applications.

OPTIONS

The options which apply to the chfn command are:

-f, --full-name FULL_NAME
    Change the user's full name.

-h, --home-phone HOME_PHONE
    Change the user's home phone number.

-o, --other OTHER
    Change the user's other GECOS information. This field is used to store accounting information used by other applications, and can be changed only by a superuser.

-r, --room ROOM_NUMBER
    Change the user's room number.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-u, --help
    Display help message and exit.

-w, --work-phone WORK_PHONE
    Change the user's office phone number.

If none of the options are selected, chfn operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks. Without options, chfn prompts for the current user account.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

CHFN_AUTH (boolean)
    If yes, the chfn program will require authentication before making any changes, unless run by the superuser.

CHFN_RESTRICT (string)
    This parameter specifies which values in the gecos field of the /etc/passwd file may be changed by regular users using the chfn program. It can be any combination of letters f, r, w, h, for Full name, Room number, Work phone, and Home phone, respectively. For backward compatibility, yes is equivalent to rwh and no is equivalent to frwh. If not specified, only the superuser can make any changes. The most restrictive setting is better achieved by not installing chfn SUID.

LOGIN_STRING (string)
    The string used for prompting a password. The default is to use "Password: ", or a translation of that string. If you set this variable, the prompt will not be translated.

    If the string contains %s, this will be replaced by the user's name.

FILES

/etc/login.defs
    Shadow password suite configuration.

/etc/passwd
    User account information.

SEE ALSO

chsh(1), login.defs(5), passwd(5).